org.eclipse.net4j.util.ui

## Class ValidationContext.Aggregator

- java.lang.Object
- - org.eclipse.net4j.util.ui.ValidationContext.Aggregator

- All Implemented Interfaces:
    ValidationContext
  Enclosing interface:
    ValidationContext

      public static class ValidationContext.Aggregator
      extends Object
      implements ValidationContext

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

      `ValidationContext.Aggregator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Aggregator(ValidationContext delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `formatMessage(Map<Object,String> messages)`
    `void` | `setValidationError(Object source, String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Aggregator

          public Aggregator(ValidationContext delegate)

  - ### Method Detail

    - #### setValidationError

          public void setValidationError(Object source,
                                         String message)

      Specified by:
        `setValidationError` in interface `ValidationContext`

    - #### formatMessage

          protected String formatMessage(Map<Object,String> messages)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html